// BCGBAppWizardaw.cpp : implementation file
//

#include "stdafx.h"
#include "BCGBAppWizard.h"
#include "BCGBAppWizardaw.h"
#include "chooser.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// This is called immediately after the custom AppWizard is loaded.  Initialize
//  the state of the custom AppWizard here.
void CBCGBAppWizardAppWiz::InitCustomAppWiz()
{
	// Create a new dialog chooser; CDialogChooser's constructor initializes
	//  its internal array with pointers to the steps.
	m_pChooser = new CDialogChooser;

	// At first, we don't know the total number of steps, since there are two
	//  possible "tracks" (MDI/SDI app and dialog-based app).
	SetNumberOfSteps(-1);

	// Inform AppWizard of the languages we support
	SetSupportedLanguages(_T("English [United States] (APPWZENU.DLL);0x40904b0"));

	m_Dictionary.SetAt (_T("MENUBAR"), _T("1"));
	m_Dictionary.SetAt (_T("TOOLBAR_CUSTOMIZATION"), _T("1"));
	m_Dictionary.SetAt (_T("KEYBOARD_CUSTOMIZATION"), _T("1"));
	m_Dictionary.SetAt (_T("CONTEXT_MENU_CUSTOMIZATION"), _T("1"));
	m_Dictionary.SetAt (_T("ALT_CUSTOMIZATION"), _T("1"));
	m_Dictionary.SetAt (_T("RU_MENUS"), _T("1"));
}

// This is called just before the custom AppWizard is unloaded.
void CBCGBAppWizardAppWiz::ExitCustomAppWiz()
{
	// Deallocate memory used for the dialog chooser
	ASSERT(m_pChooser != NULL);
	delete m_pChooser;
	m_pChooser = NULL;

	// TODO: Add code here to deallocate resources used by the custom AppWizard
}

// This is called when the user clicks "Create..." on the New Project dialog
//  or "Next" on one of the custom AppWizard's steps.
CAppWizStepDlg* CBCGBAppWizardAppWiz::Next(CAppWizStepDlg* pDlg)
{
	// Delegate to the dialog chooser
	return m_pChooser->Next(pDlg);
}

// This is called when the user clicks "Back" on one of the custom
//  AppWizard's steps.
CAppWizStepDlg* CBCGBAppWizardAppWiz::Back(CAppWizStepDlg* pDlg)
{
	// Delegate to the dialog chooser
	return m_pChooser->Back(pDlg);
}

void CBCGBAppWizardAppWiz::CustomizeProject(IBuildProject* pProject)
{
	// TODO: Add code here to customize the project.  If you don't wish
	//  to customize project, you may remove this virtual override.
	
	// This is called immediately after the default Debug and Release
	//  configurations have been created for each platform.  You may customize
	//  existing configurations on this project by using the methods
	//  of IBuildProject and IConfiguration such as AddToolSettings,
	//  RemoveToolSettings, and AddCustomBuildStep. These are documented in
	//  the Developer Studio object model documentation.

	// WARNING!!  IBuildProject and all interfaces you can get from it are OLE
	//  COM interfaces.  You must be careful to release all new interfaces
	//  you acquire.  In accordance with the standard rules of COM, you must
	//  NOT release pProject, unless you explicitly AddRef it, since pProject
	//  is passed as an "in" parameter to this function.  See the documentation
	//  on CCustomAppWiz::CustomizeProject for more information.
}


// Here we define one instance of the CBCGBAppWizardAppWiz class.  You can access
//  m_Dictionary and any other public members of this class through the
//  global BCGBAppWizardaw.
CBCGBAppWizardAppWiz BCGBAppWizardaw;

