// $$frame_hfile$$.h : interface of the $$FRAME_CLASS$$ class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined($$FILE_NAME_SYMBOL$$_INCLUDED_)
#define $$FILE_NAME_SYMBOL$$_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
$$IF(PROJTYPE_SDI)
$$IF(PROJTYPE_EXPLORER)

class $$VIEW_CLASS$$;
$$ELIF(NODOCVIEW)

#include "$$wndview_hfile$$.h"
$$ENDIF
$$ENDIF 
$$IF(WORKSPACEBAR)
#include "$$workspace_hfile$$.h"
$$ENDIF 
$$IF(OUTPUTBAR)
#include "$$outputbar_hfile$$.h"
$$ENDIF 

$$IF(PROJTYPE_MDI)
#define $$FRAME_BASE_CLASS$$ CBCGMDIFrameWnd

class $$FRAME_CLASS$$ : public $$FRAME_BASE_CLASS$$
{
	DECLARE_DYNAMIC($$FRAME_CLASS$$)
public:
	$$FRAME_CLASS$$();
$$ELSE // SDI
#define $$FRAME_BASE_CLASS$$ CBCGFrameWnd

class $$FRAME_CLASS$$ : public $$FRAME_BASE_CLASS$$
{
	
$$IF(NODOCVIEW)
public:
	$$FRAME_CLASS$$();
protected: 
	DECLARE_DYNAMIC($$FRAME_CLASS$$)
$$ELSE
protected: // create from serialization only
	$$FRAME_CLASS$$();
	DECLARE_DYNCREATE($$FRAME_CLASS$$)
$$ENDIF
$$ENDIF // PROJTYPEMDI

// Attributes
$$IF(SPLITTER_SDI || PROJTYPE_EXPLORER)
$$IF(PROJTYPE_SDI)
protected:
	CSplitterWnd m_wndSplitter;
$$ENDIF 
$$ENDIF //SPLITTER_SDI
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL($$FRAME_CLASS$$)
$$IF(SPLITTER_SDI || FRAME_STYLES || PROJTYPE_EXPLORER)
	public:
$$ENDIF
$$IF(SPLITTER_SDI || PROJTYPE_EXPLORER)
$$IF(PROJTYPE_SDI)
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
$$ENDIF 
$$ENDIF
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
$$IF(NODOCVIEW)
$$IF(PROJTYPE_SDI)
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
$$ENDIF 
$$ENDIF
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~$$FRAME_CLASS$$();
$$IF(PROJTYPE_SDI)
$$IF(PROJTYPE_EXPLORER)
$$IF(CListView)
	$$VIEW_CLASS$$* GetRightPane();
$$ENDIF	// CListView
$$ENDIF	// PROJTYPE_EXPLORER
$$ENDIF	// PROJTYPE_SDI
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
$$IF(TOOLBAR || STATUSBAR || REBAR || MENUBAR)

protected:  // control bar embedded members
$$IF(MENUBAR)
	CBCGMenuBar		m_wndMenuBar;
$$ENDIF	// MENUBAR
$$IF(STATUSBAR)	
	CStatusBar		m_wndStatusBar;
$$ENDIF //STATUSBAR
$$IF(TOOLBAR)
	CBCGToolBar		m_wndToolBar;
$$ENDIF //TOOLBAR
$$IF(WORKSPACEBAR)
	$$WORKSPACEBAR_CLASS$$	m_wndWorkSpace;
$$ENDIF //WORKSPACEBAR
$$IF(OUTPUTBAR)
	$$OUTPUTBAR_CLASS$$	m_wndOutput;
$$ENDIF //OUTPUTBAR
$$IF(REBAR)
	CReBar			m_wndReBar;
	CDialogBar      m_wndDlgBar;
$$ENDIF //REBAR
$$ENDIF //TOOLBAR || STATUSBAR || REBAR
$$IF(NODOCVIEW)
$$IF(PROJTYPE_SDI)
	$$WNDVIEW_CLASS$$    m_wndView;
$$ENDIF 
$$ENDIF
$$IF(USER_IMAGES)

	CBCGToolBarImages	m_UserImages;
$$ENDIF

// Generated message map functions
protected:
	//{{AFX_MSG($$FRAME_CLASS$$)
$$IF(TOOLBAR || STATUSBAR || REBAR || MENUBAR)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
$$ENDIF //TOOLBAR || STATUSBAR || REBAR
$$IF(NODOCVIEW)
$$IF(PROJTYPE_SDI)
	afx_msg void OnSetFocus(CWnd *pOldWnd);
$$ENDIF 
$$ENDIF
$$IF(VERBOSE)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code!
$$ENDIF
	//}}AFX_MSG
$$IF(TOOLBAR_CUSTOMIZATION)
	afx_msg void OnViewCustomize();
$$ENDIF
$$IF(PROJTYPE_EXPLORER)
$$IF(PROJTYPE_SDI)
$$IF(CListView)
	afx_msg void OnUpdateViewStyles(CCmdUI* pCmdUI);
	afx_msg void OnViewStyle(UINT nCommandID);
$$ENDIF
$$ENDIF
$$ENDIF
$$IF(TOOLBAR_CUSTOMIZATION)
	afx_msg LRESULT OnToolbarReset(WPARAM,LPARAM);
$$ENDIF
$$IF(USER_TOOLBAR)
	void OnToolsViewUserToolbar (UINT id);
	void OnUpdateToolsViewUserToolbar (CCmdUI* pCmdUI);
$$ENDIF
$$IF(TOOLBAR_CUSTOMIZATION || TOOLBAR || STATUSBAR)
	afx_msg LRESULT OnToolbarContextMenu(WPARAM,LPARAM);
$$ENDIF
$$IF(HELP && TOOLBAR_CUSTOMIZATION)
	afx_msg LRESULT OnHelpCustomizeToolbars(WPARAM wp, LPARAM lp);
$$ENDIF
$$IF(WORKSPACEBAR)
	afx_msg void OnViewWorkspace();
	afx_msg void OnUpdateViewWorkspace(CCmdUI* pCmdUI);
$$ENDIF
$$IF(OUTPUTBAR)
	afx_msg void OnViewOutput();
	afx_msg void OnUpdateViewOutput(CCmdUI* pCmdUI);
$$ENDIF
	DECLARE_MESSAGE_MAP()

$$IF(TOOLBAR)
	virtual BOOL OnShowPopupMenu (CBCGPopupMenu* pMenuPopup);
$$ENDIF
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// $$INSERT_LOCATION_COMMENT$$

#endif // !defined($$FILE_NAME_SYMBOL$$_INCLUDED_)
