// cstm1dlg.cpp : implementation file
//

#include "stdafx.h"
#include "BCGBAppWizard.h"
#include "cstm1dlg.h"
#include "BCGBAppWizardaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg dialog


CCustom1Dlg::CCustom1Dlg()
	: CAppWizStepDlg(CCustom1Dlg::IDD)
{
	//{{AFX_DATA_INIT(CCustom1Dlg)
	m_bMenuBar = TRUE;
	m_bCustomization = TRUE;
	m_bKeyboard = TRUE;
	m_bMouse = FALSE;
	m_bContextMenuCustomization = TRUE;
	m_bUserToolbars = FALSE;
	m_bUserImages = FALSE;
	m_bAltCustomization = TRUE;
	m_bRUMenus = TRUE;
	m_bOutputBar = FALSE;
	m_bWorkspaceBar = FALSE;
	m_nBarsLook = 0;
	m_bUserTools = FALSE;
	//}}AFX_DATA_INIT
}


void CCustom1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CAppWizStepDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustom1Dlg)
	DDX_Control(pDX, IDC_IMAGE, m_wndImage);
	DDX_Check(pDX, IDC_MENU_BAR, m_bMenuBar);
	DDX_Check(pDX, IDC_CUSTOMIZATION, m_bCustomization);
	DDX_Check(pDX, IDC_KEYBOARD_CUSTOMIZATION, m_bKeyboard);
	DDX_Check(pDX, IDC_MOUSE_CUSTOMIZATION, m_bMouse);
	DDX_Check(pDX, IDC_CONTEXT_MENU_CUSTOMIZATION, m_bContextMenuCustomization);
	DDX_Check(pDX, IDC_USER_TOOLBARS, m_bUserToolbars);
	DDX_Check(pDX, IDC_USER_IMAGES, m_bUserImages);
	DDX_Check(pDX, IDC_ALT_CUSTOMIZATION, m_bAltCustomization);
	DDX_Check(pDX, IDC_RU_MENUS, m_bRUMenus);
	DDX_Check(pDX, IDC_BOTTOM_BAR, m_bOutputBar);
	DDX_Check(pDX, IDC_LEFT_BAR, m_bWorkspaceBar);
	DDX_Radio(pDX, IDC_CLASSIC_LOOK, m_nBarsLook);
	DDX_Check(pDX, IDC_USER_TOOLS, m_bUserTools);
	//}}AFX_DATA_MAP
}

// This is called whenever the user presses Next, Back, or Finish with this step
//  present.  Do all validation & data exchange from the dialog in this function.
BOOL CCustom1Dlg::OnDismiss()
{
	if (!UpdateData(TRUE))
		return FALSE;

	SetBoolVar (_T("MENUBAR"), m_bMenuBar);
	SetBoolVar (_T("TOOLBAR_CUSTOMIZATION"), m_bCustomization);
	SetBoolVar (_T("KEYBOARD_CUSTOMIZATION"), m_bCustomization && m_bKeyboard);
	SetBoolVar (_T("MOUSE_CUSTOMIZATION"), m_bCustomization && m_bMouse);
	SetBoolVar (_T("CONTEXT_MENU_CUSTOMIZATION"), m_bCustomization && m_bContextMenuCustomization);
	SetBoolVar (_T("USER_TOOLBAR"), m_bCustomization && m_bUserToolbars);
	SetBoolVar (_T("USER_IMAGES"), m_bCustomization && m_bUserImages);
	SetBoolVar (_T("ALT_CUSTOMIZATION"), m_bCustomization && m_bAltCustomization);
	SetBoolVar (_T("RU_MENUS"), m_bCustomization && m_bMenuBar && m_bRUMenus);
	SetBoolVar (_T("OFFICE200_LOOK"), m_nBarsLook == 1);
	SetBoolVar (_T("WORKSPACEBAR"), m_bWorkspaceBar);
	SetBoolVar (_T("OUTPUTBAR"), m_bOutputBar);
	SetBoolVar (_T("USER_TOOLS"), m_bCustomization && m_bUserTools);

	BCGBAppWizardaw.m_Dictionary.SetAt (_T("workspace_ifile"), _T("WorkspaceBar"));
	BCGBAppWizardaw.m_Dictionary.SetAt (_T("workspace_hfile"), _T("WorkspaceBar"));
	BCGBAppWizardaw.m_Dictionary.SetAt (_T("WORKSPACEBAR_CLASS"), _T("CWorkspaceBar"));

	BCGBAppWizardaw.m_Dictionary.SetAt (_T("outputbar_ifile"), _T("OutputBar"));
	BCGBAppWizardaw.m_Dictionary.SetAt (_T("outputbar_hfile"), _T("OutputBar"));
	BCGBAppWizardaw.m_Dictionary.SetAt (_T("OUTPUTBAR_CLASS"), _T("COutputBar"));

	return TRUE;	// return FALSE if the dialog shouldn't be dismissed
}


BEGIN_MESSAGE_MAP(CCustom1Dlg, CAppWizStepDlg)
	//{{AFX_MSG_MAP(CCustom1Dlg)
	ON_BN_CLICKED(IDC_CUSTOMIZATION, OnCustomization)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg message handlers

void CCustom1Dlg::SetBoolVar (LPCTSTR lpszName, BOOL bVal)
{
	if (bVal)
	{
		BCGBAppWizardaw.m_Dictionary.SetAt (lpszName, _T("1"));
	}
	else
	{
		BCGBAppWizardaw.m_Dictionary.RemoveKey (lpszName);
	}
}

void CCustom1Dlg::OnCustomization() 
{
	UpdateData ();
	EnableControls ();
}

void CCustom1Dlg::EnableControls ()
{
	GetDlgItem (IDC_ALT_CUSTOMIZATION)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_USER_TOOLBARS)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_USER_IMAGES)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_KEYBOARD_CUSTOMIZATION)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_MOUSE_CUSTOMIZATION)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_CONTEXT_MENU_CUSTOMIZATION)->EnableWindow (m_bCustomization);
	GetDlgItem (IDC_RU_MENUS)->EnableWindow (m_bCustomization && m_bMenuBar);
}

BOOL CCustom1Dlg::OnInitDialog() 
{
	CAppWizStepDlg::OnInitDialog();

	m_Bmp.LoadBitmap (IDB_BCG);
	m_wndImage.SetBitmap (m_Bmp);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
